This code is an updated version of the pymods python package. The source code for the original package can be found here: https://github.com/mrmiguez/pymods. As a derivative of the pymods package, this code remains under the MIT License. 

